/* SqueakImageFile.h created by marcel on Wed 27-Dec-2000 */

#import <Foundation/Foundation.h>

@interface SqueakImageFile : NSObject
{
    NSString*		fileName;
    NSString*		mode;
    NSMutableData*	data;
    int			offset;
    BOOL		dirty;
}

+imageFileWithName:(NSString*)name mode:(NSString*)mode;
-initWithContentsOfFile:(NSString*)newFileName mode:(NSString*)newMode;

-(void)close;
-(int)position;
-(int)read:(void*)ptr length:(int)length;
-(void)seek:(int)pos;
-(int)write:(void*)ptr length:(int)length;


@end
