/* SqueakInterpreterDisplay.m created by marcel on Tue 19-Dec-2000 */

#import "SqueakInterpreterDisplay.h"


int ioScreenDepth()
{
    return [[[SqueakInterpreter interpreter] display] ioScreenDepth];
}

int ioSetFullScreen(int fullScreen)
{
        return([[[SqueakInterpreter interpreter] display] ioSetFullScreen:fullScreen]);
}

int ioScreenSize(void)
{
    return [[[SqueakInterpreter interpreter] display] ioScreenSize];
}


int ioSetCursorWithMask(int cursorBitsIndex,int cursorMaskIndex,
                int offsetX,int offsetY)
{
    return([[[SqueakInterpreter interpreter] display] ioSetCursorBitsIndex:cursorBitsIndex
                        withMask:cursorMaskIndex
                        offsetX:offsetX offsetY:offsetY]);
}


int ioSetCursor(int cursorBitsIndex,int offsetX,int offsetY)
{
    return([[[SqueakInterpreter interpreter] display] ioSetCursorBitsIndex:cursorBitsIndex
                        offsetX:offsetX offsetY:offsetY]);
}


int ioShowDisplay(
        int dispBitsIndex,int width,int height,int depth,
        int affectedL,int affectedR,int affectedT,int affectedB)
{
        return([[[SqueakInterpreter interpreter] display] ioShowDisplayBitsIndex:dispBitsIndex
                width:width height:height depth:depth
                affectedLeft:affectedL affectedRight:affectedR
                affectedTop:affectedT affectedBottom:affectedB]);
}

int ioForceDisplayUpdate(void)
{
    return([[[SqueakInterpreter interpreter] display] ioForceDisplayUpdate]);
}

int ioFormPrint(
        int bitsAddr,int width,int height,int depth,
        double hScale,double vScale,int landscapeFlag)
{
    return([[[SqueakInterpreter interpreter] display] ioFormPrintBitsAddr:bitsAddr
                width:width height:height depth:depth
                hScale:hScale vScale:vScale landscapeFlag:landscapeFlag]);
}


