/* SqueakInterpreterSound.m created by marcel on Wed 27-Dec-2000 */

#import "SqueakInterpreterSound.h"

@implementation SqueakInterpreter(Sound)

@end



void auPollForIO(void)
{
  return;
}

#define FAIL(X) { return X; }

/* sound output */

int snd_SetVolume( int newVolume )
{
    return 0;
}

int snd_Volume( )
{
    return 0;
}

int snd_AvailableSpace(void)
{
    return [[[SqueakInterpreter interpreter] soundServer] availableSpace];
}
int snd_InsertSamplesFromLeadTime(int frameCount, int srcBufPtr,
                                  int samplesOfLeadTime)
{
    return [[[SqueakInterpreter interpreter] soundServer] insertSamples:frameCount from:(void*)srcBufPtr leadTime:samplesOfLeadTime];		//  return # of frames actually inserted
}

int snd_PlaySamplesFromAtLength(int frameCount, int arrayIndex, int startIndex)
{
    return [[[SqueakInterpreter interpreter] soundServer] playSamplesFrom:frameCount at:arrayIndex length:startIndex];
}

int snd_PlaySilence(void)
{
    return [[[SqueakInterpreter interpreter] soundServer] playSilence];	
}
int snd_Start(int frameCount, int samplesPerSec, int stereo, int semaIndex)
{
    return [[[SqueakInterpreter interpreter] soundServer] start:frameCount rate:samplesPerSec stereo:stereo semaphore:semaIndex];

}

int snd_Stop(void)
{
    return [[[SqueakInterpreter interpreter] soundServer] stop];

}

/* sound input */

int snd_SetRecordLevel(int level)
     FAIL(0)
int snd_StartRecording(int desiredSamplesPerSec, int stereo, int semaIndex)
     FAIL(0)
int snd_StopRecording(void)
     FAIL(0)
double snd_GetRecordingSampleRate(void)
     FAIL(0)
int snd_RecordSamplesIntoAtLength(int buf, int startSliceIndex,
                                  int bufferSizeInBytes)
     FAIL(0)



/*** module initialisation/shutdown ***/


typedef void (*soundPollFunction_t)(void);

extern soundPollFunction_t soundPollFunction;

int soundInit(void)
{
  soundPollFunction= auPollForIO;
  return 1;
}

int soundShutdown(void)
{
  snd_Stop();
  return 1;
}
