/* SqClipboardHandler.m created by marcel on Sun 24-Dec-2000 */

#import "SqClipboardHandler.h"

@implementation SqClipboardHandler



-(void)getClipboard
{
    int currentChangeCount;
    NS_DURING
        if ( boardReadTypes == nil ) {
            //                boardReadTypes=[[NSArray arrayWithObjects:NSStringPboardType,NSTabularTextPboardType,
            //                   NSRTFPboardType,NSFilenamesPboardType,NSPostScriptPboardType,nil ] retain];
            boardReadTypes = [[NSArray arrayWithObject:NSStringPboardType] retain];
        }
        board = [NSPasteboard generalPasteboard];

        currentChangeCount=[board changeCount];
        if(boardChangeCount!=currentChangeCount){
            NSString* type;
            type=[board availableTypeFromArray:boardReadTypes];
            if ( boardData != nil ) {
                [boardData release];
                boardData=nil;
            }
            if(((type!=nil)
                && (boardData=[[board stringForType:type] mutableCopy]))){
                //---
            }
            boardChangeCount=currentChangeCount;
        }
        NS_HANDLER
            NSLog(@"An exception reading pastebard data");
        NS_ENDHANDLER
}//getClipboard;


-currentClip
{
    [self getClipboard];
    return boardData;
}

-(int)clipboardWrite:writeString
{
    NS_DURING
        board = [NSPasteboard generalPasteboard];
        [board declareTypes:[NSArray arrayWithObject:NSStringPboardType]
                      owner:self];
        [board setString:writeString forType:NSStringPboardType];
    NS_HANDLER
        NSLog(@"An exception writing pastebard data");
    NS_ENDHANDLER
    return(0);
}



@end
