/* SqViewBitmapConversion.h created by marcel on Fri 04-Dec-1998 */

#import "SqView.h"

@interface SqView(BitmapConversion)

-(NSBitmapImageRep*)extractPixels_1_to_2:(void*)srcBits
        srcPixelWidth:(int)srcPixelWidth
        left:(int)left right:(int)right
        top:(int)top bottom:(int)bottom
        position:(NSPoint*)position;
-(NSBitmapImageRep*)extractPixels_2_to_2:(void*)srcBits
        srcPixelWidth:(int)srcPixelWidth
        left:(int)left right:(int)right
        top:(int)top bottom:(int)bottom
        position:(NSPoint*)position;
-(NSBitmapImageRep*)extractPixels_8_to_2:(void*)srcBits
        srcPixelWidth:(int)srcPixelWidth
        left:(int)left right:(int)right
        top:(int)top bottom:(int)bottom
        position:(NSPoint*)position;
-(NSBitmapImageRep*)extractPixels_8_to_8:(void*)srcBits
        srcPixelWidth:(int)srcPixelWidth
        left:(int)left right:(int)right
        top:(int)top bottom:(int)bottom
        position:(NSPoint*)position;
-(NSBitmapImageRep*)extractPixels_8_to_16:(void*)srcBits
        srcPixelWidth:(int)srcPixelWidth
        left:(int)left right:(int)right
        top:(int)top bottom:(int)bottom
        position:(NSPoint*)position;
-(NSBitmapImageRep*)extractPixels_8_to_32:(void*)srcBits
        srcPixelWidth:(int)srcPixelWidth
        left:(int)left right:(int)right
        top:(int)top bottom:(int)bottom
        position:(NSPoint*)position;
-(NSBitmapImageRep*)extractPixels_16_to_16:(void*)srcBits
        srcPixelWidth:(int)srcPixelWidth
        left:(int)left right:(int)right
        top:(int)top bottom:(int)bottom
        position:(NSPoint*)position;
-(NSBitmapImageRep*)extractPixels_32_to_32:(void*)srcBits
        srcPixelWidth:(int)srcPixelWidth
        left:(int)left right:(int)right
        top:(int)top bottom:(int)bottom
        position:(NSPoint*)position;

-(NSBitmapImageRep*)computeBitmapFromBitsIndex:(void*)srcBits
                width:(int)width height:(int)height depth:(int)depth
                left:(int)left right:(int)right
                top:(int)top bottom:(int)bottom
                position:(NSPoint*)position;
-(void)getPoint:(NSPoint*)point fromSq:(int)x:(int)y;


@end
