/* SqueakSoundServer.h created by marcel on Thu 15-Feb-2001 */

#import <AppKit/AppKit.h>
#import <CoreAudio/AudioHardware.h>

@interface SqueakSoundServer : NSObject
{
    int			squeakSemaphore;
    AudioDeviceID	audioDeviceId;
    int			bufferSize;
    NSMutableArray*	playBuffers;
    NSLock*		bufferLock;		
    AudioStreamBasicDescription	deviceDescription;
    BOOL		started;
    int			playIndex;
    int			fillIndex;
    int			requestedRate;
    float		lut[65536];
}

-(void)getBuffer:(void*)buffer;

@end
