//
//  SqueakApplication.m
//  CocoaSqueak
//
//  Created by marcel on Tue Mar 27 2001.
//  Copyright (c) 2001 __CompanyName__. All rights reserved.
//

#import "SqueakApplication.h"


@implementation SqueakApplication

//---	hackery to send Squeak the command key
//---	sequences it needs despite the fact that
//---	AppKit discards them if not associated
//---	with a key-equivalent of an AppKit 
//---	menu or control

-(void)sendCommandKeyDirectlyToSqueakView:anEvent
{
    [[[self mainWindow] contentView] keyDown:anEvent];
}

-(void)sendEvent:(NSEvent*)anEvent
{
    if ( [anEvent type] == NSKeyDown &&
         ([anEvent modifierFlags] & NSCommandKeyMask) != 0 ) {
        [self sendCommandKeyDirectlyToSqueakView:anEvent];
    } else {
        [super sendEvent:anEvent];
    }
}    

@end
