/* NSStringSqueakString.m created by marcel on Fri 22-Dec-2000 */

#import "NSStringSqueakString.h"

@implementation NSString(SqueakString)

-(void)getSqueakString:(char*)buf maxLength:(int)maxLen
{
    char *end=buf+MIN(maxLen,[self length]);
    [self getCString:buf maxLength:maxLen];
    while ( buf < end ) {
        if ( *buf=='\n' ) {
            *buf='\r';
        }
        buf++;
    }
}

+stringWithSqueakString:(char*)buf length:(int)length
{
    char *temp=malloc(length+10);
    int i;
    id result=nil;
    if ( temp ) {
        for (i=0;i<length;i++){
            if ( buf[i]=='\r' ) {
                temp[i]='\r';
            } else {
                temp[i]=buf[i];
            }
        }
        result = [self stringWithCString:temp length:length];
        free(temp);
    }
    return result;
}

@end
