/* SqueakEventQueue.h created by marcel on Wed 14-Feb-2001 */

#import <Foundation/Foundation.h>
#import "sq.h"

@interface SqueakEventQueue : NSObject
{
    id	lock;
    id	queue;
    int	mouseButtonState;
    int keyboardModifierState;
    int	currentX,currentY;
    int	inputSemaphore;
    int	lastEventTime;
    int inputEventSemaphore;
}

-(void)putEvent:(sqInputEvent*)anEvent atTime:(int)ms;
-(BOOL)getEvent:(sqInputEvent*)anEvent;

-(int)buttonState;
-(int)squeakCodedMouseLocation;
-(int)peekKeyStroke;
-(int)getKeyStroke;

-(int)lastEventTime;

@end
