/* SqueakInterpreterClipboard.m created by marcel on Fri 22-Dec-2000 */

#import "SqueakInterpreterClipboard.h"
#import "NSStringSqueakString.h"

@implementation SqueakInterpreter(Clipboard)

-currentClip
{
    return [[self clipHandler] currentClip];
}

-(int)clipboardSize
{
    return [[self currentClip] length];
}

-(void)clipboardWrite:newClipString
{
    id pool=[[NSAutoreleasePool alloc] init];
    [[self clipHandler] clipboardWrite:newClipString];
    [pool release];
}

@end



int clipboardSize(void)
{
    id pool=[[NSAutoreleasePool alloc] init];
    int len = [[SqueakInterpreter interpreter] clipboardSize];
    [pool release];
    return len;
}


int clipboardReadIntoAt(int count,int byteArrayIndex,int startIndex)
{
    id pool=[[NSAutoreleasePool alloc] init];
    id result=[[SqueakInterpreter interpreter] currentClip];
    int len=MIN(count,[result length]);
    [result getSqueakString:(char*)byteArrayIndex+startIndex maxLength:count];
    [pool release];
    return len;
}

int clipboardWriteFromAt(int count,int byteArrayIndex,int startIndex)
{
    id pool=[[NSAutoreleasePool alloc] init];
    [[SqueakInterpreter interpreter] clipboardWrite:[NSString stringWithSqueakString:(char*)byteArrayIndex+startIndex length:count]];
    [pool release];
    return count;
}
	
