/* SqueakObjcInterpreterVmSupport.m created by marcel on Fri 05-Jan-2001 */

#import "SqueakObjcInterpreterVmSupport.h"
#import "SqueakObjcInterpreter.h"
#import "SqueakImageFile.h"
#import "NSStringSqueakString.h"

@implementation Interpreter(VmSupport)

-(void)putchar:(int)ch
{
    putchar(ch);
}

-(void)printf:(const char*)format,...
{
    va_list ap;
    va_start(ap,format);
    vprintf(format,ap);
    va_end(ap);
}

-(void)sqImageFile:aFile Seek:(int)offset
{
    [aFile seek:offset];
}

-(int)sqImageFilePosition:aFile
{
    return [aFile position];
}

-(struct VirtualMachine* )sqGetInterpreterProxy
{
    return NULL;
}

-(int)primBitmapdecompressfromByteArrayat
{
    successFlag=NO;
    return 0;
}
-(int)primStringcomparewithcollated
{
    successFlag=NO;
    return 0;
}

-(int)primStringfindSubstringinstartingAtmatchTable
{
    successFlag=NO;
    return 0;
}

-(int)ioLoadExternalFunction:(char*)name OfLength:(int)length FromModule:(char*)module OfLength:(int)len
{
    successFlag=NO;
    return 0;
}


-(int)ioScreenSize
{
    return [[[SqueakObjcInterpreter interpreter] display] ioScreenSize];
}

-(int)ioHasDisplayDepth:(int)depth
{
    successFlag=NO;
    return 0;
}

-(int)ioSetInputSemaphore:(int)sema
{
    return [[SqueakObjcInterpreter interpreter] setInputEventSemaphore:sema];
}
-(int)ioGetNextEvent:(void*)evtBuf
{
    return [[SqueakObjcInterpreter interpreter] getNextEvent:evtBuf];
}

-(int)ioMicroMSecs
{
    return [[SqueakObjcInterpreter interpreter] ioMicroMSecs];
}

-(int)ioMSecs
{
    return [[SqueakObjcInterpreter interpreter] ioMSecs];
}

-(int)ioLowResMSecs
{
    return [self ioMSecs];
}

-(int)imageNameSize
{
    return [[[SqueakObjcInterpreter interpreter] imagePath] length];
}

-(void)imageNameGet:(char*)name Length:(int)maxLen
{
    [[[SqueakObjcInterpreter interpreter] imagePath] getSqueakString:name maxLength:maxLen];
}

-(void)ioProcessEvents
{
    
}

-(int)ioLoadFunction:(char *)functionName From:(char *)pluginName
{
    return ioLoadFunctionFrom(functionName, pluginName);
}

@end
