/* SqViewInputSensor.m created by marcel on Wed 20-Dec-2000 */

#import "SqViewInputSensor.h"

//#define INPUT_SENSER_NEEDED


@implementation SqView(InputSensor)


-(void)point:(NSPoint*)point toSq:(int*)x:(int*)y
{
    (*x)=point->x;
    (*y)=[self bounds].size.height-point->y;
}


/*
 Mac		NeXT
 HOME		1
 END			4
 BACKSPACE	8
 PAGE-UP		11
 PAGE-DOWN	12
 ESCAPE		27
 LEFT-ARROW	28		172
 RIGHT-ARROW	29		174
 UP-ARROW	30		173
 DOWN-ARROW	31		175
 DELETE		127		127

 */

-(int)characterCodeFromEvent:(NSEvent*)event
{
    static int fnKeys[256],keyMapInited=NO;
    char theCharacter=0;
    int keyFlags = [event modifierFlags];
    if (!keyMapInited) {
        int i;
        memset( fnKeys, 0 , sizeof fnKeys );
        for (i=0;i<4;i++){
            fnKeys[i]=28+(i^2);
        }
        fnKeys[0x28]=127;
        fnKeys[0x29]=1;
        fnKeys[0x2b]=4;
        fnKeys[0x2c]=11;
        fnKeys[0x2d]=12;
        keyMapInited=YES;
    }
    if ( [[event characters] cStringLength] == 1 ) {
        [[event characters] getCString:&theCharacter maxLength:1];
        if (theCharacter==127) {
            theCharacter=8;
        }
        if ( theCharacter == '.' && keyFlags & NSCommandKeyMask ) {
            extern int interruptPending;
            extern int interruptCheckCounter;
            interruptPending = YES;
            interruptCheckCounter=0;
        }
    } else {
        unichar code;
        NSRange zeroToOne={ 0,1 };
        [[event characters] getCharacters:&code range:zeroToOne];
        //        NSLog(@"code = %d %x",code,code);
        if ( code >> 8 == 0xf7 ) {
            theCharacter=fnKeys[code&0xff];
            //            NSLog(@"character = %d %x",theCharacter,theCharacter);
        }
    }
    return theCharacter;
}

@end
